## org.biojava.bio.seq.db
Interface IDMaker

All Known Implementing Classes:
  IDMaker.ByURN, IDMaker.ByName

public interface IDMaker

Interface for objects that define how to make an ID for a sequence.

Nine times out of ten, you will use one of HashSequenceDB.byURN or HashSequenceDB.byName, but once in a blue-moon, you will want some other systematic way of retrieveing Sequences. This interface is here to allow you to plug in this functionality if you need it.

Inner Class Summary
`static class` `IDMaker.ByName`
`static class` `IDMaker.ByURN`

Field Summary
`static IDMaker` `byName` A simple implementation of IDMaker that hashes by sequence name.
`static IDMaker` `byURN` A simple implementation of IDMaker that hashes by URN.

Method Summary
`java.lang.String` `calcID(Sequence seq)` Calculate the id for a sequence.

Field Detail

### byURN

    public static final IDMaker byURN

  A simple implementation of IDMaker that hashes by URN.

### byName

    public static final IDMaker byName

  A simple implementation of IDMaker that hashes by sequence name.

Method Detail

### calcID

    public java.lang.String calcID(Sequence seq)

  Calculate the id for a sequence.

  Each unique sequence should return a unique ID.

  Parameters:
    `seq` - the sequence to ID
  Returns:
    the id for the sequence